File obs-server-2.10-0104-Move-the-strong-migrations-gem-to-a-the-generic-grou.patch of Package obs-server

From 1602c5bed3764c2d225d5d69e8e500c46f150de6 Mon Sep 17 00:00:00 2001
From: Dani Donisa <daniel.donisa@suse.com>
Date: Thu, 26 Mar 2020 15:54:02 +0100
Subject: [PATCH] Move the strong migrations gem to a the generic group

Doing so, it will work both on test, dev and production environments
---
 src/api/Gemfile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/api/Gemfile b/src/api/Gemfile
index 53f3a1f1f0..76b8902906 100644
--- a/src/api/Gemfile
+++ b/src/api/Gemfile
@@ -88,6 +88,8 @@ gem 'ajax-datatables-rails'
 gem 'mini_mime', '>= 1.0.0'
 # assets compiling is not compatible with sprockets 4
 gem 'sprockets', '~> 3.0'
+# Catch unsafe migrations in development
+gem 'strong_migrations'
 
 group :development, :production do
   # to have the delayed job daemon
@@ -183,8 +185,6 @@ group :development, :test do
   gem 'puma', '~> 4.0'
   # to drive headless chrome
   gem 'selenium-webdriver'
-  # Catch unsafe migrations in development
-  gem 'strong_migrations'
   # scan for security vulnerability (circleci only, do not touch)
   # BRAKEMAN
 end
-- 
2.31.1